Bug 1311746 - [RFE] Ability to configure default_ipv6_subnet_pool in neutron.conf via a parameter
[RFE] Ability to configure default_ipv6_subnet_pool in neutron.conf via a par...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Angus Thomas
Arik Chernetsky
: FutureFeature
: 1279610 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 16:08 EST by Marius Cornea
Modified: 2018-03-19 06:51 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-18 06:59:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2016-02-24 16:08:30 EST
Description of problem:

For enabling IPv6 prefix delegation in Neutron we need to set default_ipv6_subnet_pool = "prefix_delegation" in /etc/neutron/neutron.conf

We need the ability to manipulate this configuration option via the installer thus exposing it as a Heat parameter. 

http://specs.openstack.org/openstack/neutron-specs/specs/kilo/ipv6-prefix-delegation.html
Comment 1 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 3 Red Hat Bugzilla Rules Engine 2017-06-03 21:59:30 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 4 Nir Yechiel 2018-03-18 06:59:07 EDT
IPv6 PD is not supported in RHOSP, and we have no plans to support it based on current (lack of) demand. If you think this is needed, please link specific use-cases or customer information.
Comment 5 Nir Yechiel 2018-03-19 06:51:57 EDT
*** Bug 1279610 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.